Author Topic: Is there a way to convery hatch into lines without using explode command?  (Read 2923 times)

0 Members and 1 Guest are viewing this topic.

xdcad

  • Swamp Rat
  • Posts: 527
_$ (type xdrx-setproperty)
EXRXSUBR



_$ (type xd::drag:simplemove)
nil

? ? ?

xd::drag:simplemove is defined in the xd-lisp-lib.vlx file.
If xdrx.lsp exists in the sys directory(or is in the same directory as the xdrx**.arx file), , this file will be automatically loaded.

Can you post a screenshot of the text box after starting AUTOCAD to see if the XD General LISP function library(xd-lisp-lib.vlx) is loaded?

============

After xdrx**.arx is loaded, it will automatically look for the xdrx.lsp file. If it exists, ARX will automatically load xdrx.lsp, and then xdrx.lsp will do subsequent initialization and other work.

Currently, xdrx.lsp will load opendcl, xd-lisp-lib.vlx....

Code: [Select]
Command: !xd::drag:simplemove
#<SUBR @000001d1e7a226d8 XD::DRAG:SIMPLEMOVE>

Command: (type xd::drag:simplemove)
SUBR
« Last Edit: November 18, 2023, 12:54:41 PM by xdcad »
The code I wrote uses XDRX-API,which can be downloaded from github.com and is updated at any time.
===================================
https://github.com/xdcad
https://sourceforge.net/projects/xdrx-api-zip/
http://bbs.xdcad.net

domenicomaria

  • Swamp Rat
  • Posts: 743
Application Error: 2 :- no function definition: XD::VAR:ISZWCAD

domenicomaria

  • Swamp Rat
  • Posts: 743
What is the best software for making beautiful CHM files nowadays?

I saw that the xdrx_api_manual_2017-1208.html file exists,
but many parts are in Chinese, (we only need English)
and other parts are incomplete...

xdcad

  • Swamp Rat
  • Posts: 527
Application Error: 2 :- no function definition: XD::VAR:ISZWCAD

Replace the xdrx.lsp you installed with the file in the attachment.
The code I wrote uses XDRX-API,which can be downloaded from github.com and is updated at any time.
===================================
https://github.com/xdcad
https://sourceforge.net/projects/xdrx-api-zip/
http://bbs.xdcad.net

xdcad

  • Swamp Rat
  • Posts: 527
What is the best software for making beautiful CHM files nowadays?

I saw that the xdrx_api_manual_2017-1208.html file exists,
but many parts are in Chinese, (we only need English)
and other parts are incomplete...

This is a time-consuming and boring job. I will try to finish it later.
In fact, many functions can be used
xdrx-getpropertyvalue(query)
xdrx-setpropertyvalue(edit)

substitute.

If you only provide the entity name parameter, you will get help.
The picture above is to query whether the block table record object is an overlay.

Command: (setq a (xdrx-entsel "\n Pick a Insert:" '((0 . "insert"))))
  Pick a Insert:(<Character name: 20adf0d7b90> (941.481 1061.93 0.0))


Command: (xdrx-object-isa (car a))
"AcDbBlockReference"


Command: (xdrx-getpropertyvalue (car a))
Class AcDbBlockReference:

     ├─isDynamicBlock(2007+)
     ├─AllEntities
     ├─Entities
     ├─AttDefEntities
     ├─AttributeEntities
     ├─HasAttribute
     ├─BlockReferenceEntities
     ├─BlockTableRecord
     ├─BlockTransform
     ├─Name
     ├─Normal
     ├─Position
     ├─Rotation
     ├─ScaleFactors
     ├─SubEntBox (None or T)
     ├─TextBox (None or T)
     ├─TigerBox (None or T)
     ├─WOFrame
  *** Clip Query Function ***
     ├─isCliped
     ├─ClipIsEnabled
     ├─ClipIsInverted
     ├─ClipFilterObject
     ├─ClipElevation
     ├─FrontClip
     ├─BackClip
     ├─ClipBoundary
     ├─ClipHasPerspectiveCamera
     ├─ClipVolume
     ├─ClipSpaceToWCSMatrix
     ├─ClipVolumeIntersectsExtents
     ├─ClipOriginalInverseBlockXform
     ├─ClipQueryBounds
Class AcDbEntity:
     ├─9PT
     ├─BoundingBox
     ├─........................
Class AcDbObject:
     ├─ClassName
     ├─OriginalDatabase
     ├─Database
     ├─........................

Command: (setq b (xdrx-getpropertyvalue (car a) "blocktablerecord"))
("a" <element name: 20adf0d7b50>)


Command: (xdrx-object-isa (cadr b))
"AcDbBlockTableRecord"


Command: (xdrx-getpropertyvalue (cadr b) "IsFromOverlayReference")
nil


Command: (xdrx-getpropertyvalue (cadr b))
Class AcDbBlockTableRecord:
     ├─AttDefEntites
     ├─AllEntities
     ├─BlockReferenceEntities
     ├─Entities
     ├─ErasedBlockReferenceEntities
     ├─Comments
     ├─WOFrame
     ├─WOFrameType
     ├─WOFrameColor
     ├─WOFrameWidth
     ├─Explodable
     ├─HasAttributeDefinitions
     ├─HasPreviewIcon
     ├─IsAnonymous
     ├─IsFromExternalReference
     ├─IsFromOverlayReference
     ├─IsLayOut
     ├─LayOutName
     ├─IsUnloaded
     ├─LayOutId
     ├─Origin
     ├─PathName
     ├─SortentsTable
     ├─WOFrame
     ├─XrefDatabase
     ├─XrefStatus
Class AcDbSymbolTableRecord:
     ├─Name
Class AcDbObject:
     ├─........................

These methods basically correspond to the methods under the object library in the ARX help manual. You can check the required parameters through arxref.chm. Many query functions do not require parameters, only the entity name variable to be queried.
« Last Edit: November 18, 2023, 02:36:23 PM by xdcad »
The code I wrote uses XDRX-API,which can be downloaded from github.com and is updated at any time.
===================================
https://github.com/xdcad
https://sourceforge.net/projects/xdrx-api-zip/
http://bbs.xdcad.net

domenicomaria

  • Swamp Rat
  • Posts: 743
Application Error: 2 :- no function definition: XD::VAR:ISZWCAD

Replace the xdrx.lsp you installed with the file in the attachment.

yes, now it works

xdcad

  • Swamp Rat
  • Posts: 527
Application Error: 2 :- no function definition: XD::VAR:ISZWCAD

Replace the xdrx.lsp you installed with the file in the attachment.

yes, now it works

xd::drag:simplemove

The function is mainly the parameter 5, the base point of dragging. This parameter represents the entity you want to drag or one of the 9 points of the selection set bounding box. 5 represents the center point, 1 represents the lower left point, and 9 represents the upper right point. ..
The code I wrote uses XDRX-API,which can be downloaded from github.com and is updated at any time.
===================================
https://github.com/xdcad
https://sourceforge.net/projects/xdrx-api-zip/
http://bbs.xdcad.net

xdcad

  • Swamp Rat
  • Posts: 527
Application Error: 2 :- no function definition: XD::VAR:ISZWCAD

Replace the xdrx.lsp you installed with the file in the attachment.

yes, now it works

xd::drag:simplemove

The last parameter:

t :  move
nil: copy
The code I wrote uses XDRX-API,which can be downloaded from github.com and is updated at any time.
===================================
https://github.com/xdcad
https://sourceforge.net/projects/xdrx-api-zip/
http://bbs.xdcad.net